@echo off

title Flashing MasterDemo
mode con:cols=100 lines=50
set PlatformName=STM32F469-LIZARD
set DisplayName=PH480272T009

rem set DisplayName to one of the supported display types for LIZARD:
rem PH320240T023         /* 3,5" TFT, 320 x 240 */
rem PH480272T009         /* 4,3" TFT, 480 x 272 */
rem PH800480T024         /* 5,0" TFT, 800 x 480 */
rem PH800480T013         /* 7,0" TFT, 800 x 480 */
rem PH320240T023_PRO_X   /* 3,5" TFT, 320 x 240, PRO X Series */
rem PH102600T009         /* 7,0" TFT, 1024 x 600 */
rem PH640480TXXX         /* 5,7" TFT, 640 x 480 */

echo.
echo *******************************************************************************
echo *
echo * Flashing Embedded Wizard Master Demo for %PlatformName% with display %DisplayName%
echo *
echo *******************************************************************************
echo.

..\Application\FlashDownload\FlashDownload.cmd EmbeddedWizard-%PlatformName%-%DisplayName%.hex separateConsole
